clang-tools 10.0.0

Public Member Functions | Static Public Attributes | List of all members
clang::doc::YAMLGenerator Class Reference

Generator for YAML documentation. More...

Inheritance diagram for clang::doc::YAMLGenerator:
[legend]
Collaboration diagram for clang::doc::YAMLGenerator:
[legend]

## Public Member Functions
llvm::Error | generateDocForInfo (Info *I, llvm::raw_ostream &OS, const ClangDocContext &CDCtx) override
Public Member Functions inherited from clang::doc::Generator
virtual | ~Generator ()=default
virtual llvm::Error | createResources (ClangDocContext &CDCtx)

## Static Public Attributes
static const char * | Format = "yaml"

## Additional Inherited Members
Static Public Member Functions inherited from clang::doc::Generator
static void | addInfoToIndex (Index &Idx, const doc::Info *Info)

## Detailed Description

Generator for YAML documentation.

Definition at line 265 of file YAMLGenerator.cpp.

## Member Function Documentation

## ◆ generateDocForInfo()

llvm::Error clang::doc::YAMLGenerator::generateDocForInfo | ( | Info * | I,
|  | llvm::raw_ostream & | OS,
|  | const ClangDocContext & | CDCtx
| ) |  |
| override virtual

Implements clang::doc::Generator.

Definition at line 275 of file YAMLGenerator.cpp.

## Member Data Documentation

## ◆ Format

const char * clang::doc::YAMLGenerator::Format = "yaml"
| static

Definition at line 267 of file YAMLGenerator.cpp.

The documentation for this class was generated from the following file:

- YAMLGenerator.cpp